/**
 *  Copyright © 2025, Luis Andrés Lange <https://javacomm.net>
 *
 *  Previously released under Apache License 2.0; now licensed under MPL 2.0.
 *
 *  This Source Code Form is subject to the terms of the Mozilla Public
 *  License, v. 2.0. If a copy of the MPL was not distributed with this
 *  file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 *  ----------------------------------------------------------------------------
 *
 *  Exhibit B - "Incompatible With Secondary Licenses" Notice
 *
 *  This Source Code Form is "Incompatible With Secondary Licenses",
 *  as defined by the Mozilla Public License, v. 2.0.
 *
 *  In short:
 *  - This file may be used, modified, and distributed under MPL 2.0 only.
 *  - It may NOT be relicensed under GPL, LGPL, AGPL, or any other Secondary License.
 *
 *  Rationale:
 *  - Ensures that the code remains MPL-2.0.
 *  - Avoids legal conflicts with GPL-licensed libraries (e.g., VideoLAN).
 *  - Maximizes usability for commercial and security-critical applications.
 *
 */
package net.javacomm.protocol;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;



public class CONFERENCEMUTE extends MESSAGE {

  public final static String KONFERENZRAUM = "KONFERENZRAUM";
  public final static String PSEUDOID = "PSEUDOID";
  public final static String CONFERENCEKEY = "CONFERENCEKEY";
  public final static String MUTE = "MUTE";

  private String konferenzraum;
  private String pseudoid; // der Absender
  private Boolean mute; // true=mikro aus
  private String conferencekey;

  public CONFERENCEMUTE() {}



  public String getConferencekey() {
    return conferencekey;
  }



  public String getKonferenzraum() {
    return konferenzraum;
  }



  public String getPseudoid() {
    return pseudoid;
  }



  public Boolean isMute() {
    return mute;
  }



  /**
   * An diese Anwender wird gesendet.
   * 
   * @param conferencekey
   *                      dieser Konferenzschlüssel
   */
  public void setConferencekey(String conferencekey) {
    this.conferencekey = conferencekey;
  }



  /**
   * An diesen Konferenzraum wird gesendet.
   * 
   * @param konferenzraum
   *                      dieser Konferenzraum
   */
  public void setKonferenzraum(String konferenzraum) {
    this.konferenzraum = konferenzraum;
  }



  /**
   * Das Mikrofon wurde eingeschaltet oder ausgeschaltet.
   * 
   * @param mute
   *             {@code true}, stummgeschaltet
   */
  public void setMute(Boolean mute) {
    this.mute = mute;
  }



  /**
   * Dieser Anwender änderte seine Mikrofoneinstellung.
   * 
   * @param pseudoid
   *                 dieser Anwender
   */
  public void setPseudoid(String pseudoid) {
    this.pseudoid = pseudoid;
  }



  @Override
  public String toString() {
    GsonBuilder builder = new GsonBuilder();
    builder.registerTypeAdapter(CONFERENCEMUTE.class, new ConferenceMuteSerializer());
    Gson gson = builder.create();
    return gson.toJson(this);
  }
}
